/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * Represents a GitLab project data transfer object (DTO).
 * @export
 * @interface GitlabProjectDto
 */
export interface GitlabProjectDto {
    /**
     * The unique identifier for the GitLab project.
     * @type {number}
     * @memberof GitlabProjectDto
     */
    'id': number;
    /**
     * Indicates if the GitLab project is archived.
     * @type {boolean}
     * @memberof GitlabProjectDto
     */
    'archived': boolean;
    /**
     * The name of the GitLab project.
     * @type {string}
     * @memberof GitlabProjectDto
     */
    'name': string;
    /**
     * The full name of the GitLab project including namespace.
     * @type {string}
     * @memberof GitlabProjectDto
     */
    'nameWithNamespace': string;
    /**
     * A brief description of the GitLab project.
     * @type {string}
     * @memberof GitlabProjectDto
     */
    'description': string;
    /**
     * The default branch of the GitLab project.
     * @type {string}
     * @memberof GitlabProjectDto
     */
    'defaultBranch': string;
    /**
     * The path of the GitLab project.
     * @type {string}
     * @memberof GitlabProjectDto
     */
    'path': string;
    /**
     * The path of the GitLab project including namespace.
     * @type {string}
     * @memberof GitlabProjectDto
     */
    'pathWithNamespace': string;
    /**
     * The timestamp of the last activity related to the GitLab project.
     * @type {string}
     * @memberof GitlabProjectDto
     */
    'lastActivityAt': string;
    /**
     * The creation timestamp of the GitLab project.
     * @type {string}
     * @memberof GitlabProjectDto
     */
    'createdAt': string;
    /**
     * The URL to view the GitLab project in a web browser.
     * @type {string}
     * @memberof GitlabProjectDto
     */
    'webUrl': string;
    /**
     * The HTTP URL to access the GitLab project repository.
     * @type {string}
     * @memberof GitlabProjectDto
     */
    'httpUrlToRepo': string;
    /**
     * The SSH URL to access the GitLab project repository.
     * @type {string}
     * @memberof GitlabProjectDto
     */
    'sshUrlToRepo': string;
}

